Bug 607599 - RHN registration in firstboot GUI shows 2 hints about forgotten password
Summary: RHN registration in firstboot GUI shows 2 hints about forgotten password
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rhn-client-tools   
(Show other bugs)
Version: 6.0
Hardware: All Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Jan Pazdziora
QA Contact: Garik Khachikyan
URL:
Whiteboard:
Keywords: Regression
Depends On:
Blocks: 582655
TreeView+ depends on / blocked
 
Reported: 2010-06-24 13:08 UTC by Jan Hutař
Modified: 2015-01-04 21:57 UTC (History)
5 users (show)

Fixed In Version: rhn-client-tools-1.0.0-26.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 21:30:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
2 Hints in firstboot (153.45 KB, image/png)
2010-06-24 13:42 UTC, Jan Hutař
no flags Details

Description Jan Hutař 2010-06-24 13:08:34 UTC
Description of problem:
RHN registration in firstboot GUI shows 2 hints about forgotten password.


Version-Release number of selected component (if applicable):
firstboot-1.110.4-1.el6.i686
rhn-setup-gnome-1.0.0-14.el6.noarch


How reproducible:
always (tested on 1 system)


Steps to Reproduce:
1. # grep serverURL= /etc/sysconfig/rhn/up2date 
   serverURL=https://xmlrpc.rhn.errata.stage.redhat.com/XMLRPC
2. # firstboot   # observe RHN registration process in GUI - see screenshot


Actual results:
There are 2 hints on same topic - forgotten password. One is for Hosted, second is for Satellite.


Expected results:
Only one hint. In this case probably that one for Hosted.


Additional info:
This happens also when Prod (rhn.redhat.com) is configured, so not only Errata.stage issue.

Comment 1 RHEL Product and Program Management 2010-06-24 13:12:58 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 2 Jan Hutař 2010-06-24 13:42:39 UTC
Created attachment 426575 [details]
2 Hints in firstboot

Comment 7 Jan Pazdziora 2010-07-08 07:51:18 UTC
Taking.

Comment 8 Jan Pazdziora 2010-07-08 09:12:56 UTC
This is a regression against RHEL 5.

Comment 9 Jan Pazdziora 2010-07-08 11:53:05 UTC
Fixed in Spacewalk master, b005eedb244cd006d58ba64c40143523486f84e4.

Fixed in CLIENT-RHEL-6, af7ea2f583ea0979cdff3b18de5f710496bc7cb9.

Comment 10 Jan Pazdziora 2010-07-08 15:39:57 UTC
Tagged as rhn-client-tools-1.0.0-25-el6 and built as rhn-client-tools-1.0.0-26.el6.

Comment 11 Jan Pazdziora 2010-07-08 15:41:21 UTC
Oops, tagged as rhn-client-tools-1.0.0-26-el6 -- rhn-client-tools-1.0.0-25-el6 had bad changelog that dist-cvs did not like.

Comment 13 Garik Khachikyan 2010-07-30 09:22:19 UTC
# VERIFIED

Checked on RHEL6 distro: RHEL6.0-20100728.n.1

The packages on which the check was performed:
---
rhn-setup-gnome-1.0.0-28.el6.noarch
rhn-check-1.0.0-28.el6.noarch
rhn-client-tools-1.0.0-28.el6.noarch
rhn-setup-1.0.0-28.el6.noarch

The reproducer of the issue (multiple hints of forgotten password on firstboot-1.110.5-1.el6.i686) was checked against: rhn-*-1.0.0-24 version

Comment 14 releng-rhel@redhat.com 2010-11-10 21:30:15 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.